import { createRoute, OpenAPIHono, z } from "@hono/zod-openapi";
import { apiHit } from "../../../globalUtils/apiHits.js";
import { responses } from "../../../globalUtils/routeDefs/responses.js";
import { getActiveAv } from "../controller/getActiveArticles.js";
import { getFifoIndex } from "../controller/getFifoIndex.js";

const app = new OpenAPIHono({ strict: false });
const EomStat = z.object({
    plant: z.string().openapi({ example: "Salt Lake City" }),
    userRan: z.string().openapi({ example: "smith034" }),
    eomSheetVersion: z.string().openapi({ example: "0.0.223" }),
});

app.openapi(
    createRoute({
        tags: ["dataMart"],
        summary: "Returns all the fifo data.",
        method: "get",
        path: "/getfifoindex",

        responses: responses(),
    }),
    async (c) => {
        //const body = await c.req.json();
        // make sure we have a vaid user being accessed thats really logged in
        apiHit(c, { endpoint: "/getfifoindex" });
        try {
            return c.json(
                {
                    success: true,
                    message: "Fifo index data for the last 90days",
                    data: await getFifoIndex(),
                },
                200
            );
        } catch (error) {
            return c.json(
                {
                    success: false,
                    message: "There was an error getting fifo index data.",
                    data: error,
                },
                400
            );
        }
    }
);
export default app;
